/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.action;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

/**
 * Base class for workbench window actions.
 * 
 * @author Elmar Juergens
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: D104BD1550EC040E5D938B71D2A72CCC
 */
public abstract class WorkbenchWindowActionBase implements
		IWorkbenchWindowActionDelegate {

	/** {@inheritDoc} */
	public void dispose() {
		// Nothing to do
	}

	/** {@inheritDoc} */
	public void init(IWorkbenchWindow window) {
		// Nothing to do
	}

	/** {@inheritDoc} */
	public void selectionChanged(IAction action, ISelection selection) {
		// Nothing to do
	}
}